Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.crosswire.common.util
Class ResourceUtil

    java.lang.Object
      org.crosswire.common.util.ResourceUtil

    public final class ResourceUtil

extends Object

Better implementations of the getResource methods with less ambiguity and that are less dependent on the specific classloader situation.

Author:
  Joe Walker [joe at eireneh dot com], DM Smith [ dmsmith555 at yahoo dot com ]
See Also:
  `for license details.
  The copyright to this program is held by it's authors.`

Constructor Summary
`private` | `ResourceUtil()` Prevent Instantiation

Method Summary
`static Properties` | `getProperties(Class clazz)` Get and load a properties file from the writable area or if that fails from the classpath (where a default ought to be stored)
`private static Properties` | `getProperties(Class clazz, String subject)` Get and load a properties file from the writable area or if that fails from the classpath (where a default ought to be stored)
`static Properties` | `getProperties(String subject)` Get and load a properties file from the writable area or if that fails from the classpath (where a default ought to be stored)
`static URL` | `getResource(Class clazz, String resourceName)` Generic resource URL fetcher.
`static URL` | `getResource(String search)` Generic resource URL fetcher.
`static InputStream` | `getResourceAsStream(Class clazz, String search)` Generic resource URL fetcher
`static InputStream` | `getResourceAsStream(String search)` Generic resource URL fetcher

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResourceUtil

    private ResourceUtil()

  Prevent Instantiation

Method Detail

### getResource

    public static URL getResource(String search)
                           throws MissingResourceException

  Generic resource URL fetcher. One way or the other we'll find it! Either as a relative or an absolute reference.

  Parameters:
    `search` - The name of the resource (without a leading /) to find
  Returns:
    The requested resource
  Throws:
    `MissingResourceException` - if the resource can not be found

### getResource

    public static URL getResource(Class clazz,
                                  String resourceName)
                           throws MissingResourceException

  Generic resource URL fetcher. One way or the other we'll find it! Either as a relative or an absolute reference.

  Parameters:
    `clazz` - The resource to find
  Returns:
    The requested resource
  Throws:
    `MissingResourceException` - if the resource can not be found

### getResourceAsStream

    public static InputStream getResourceAsStream(String search)
                                           throws IOException,
                                                  MissingResourceException

  Generic resource URL fetcher

  Returns:
    The requested resource
  Throws:
    `IOException` - if there is a problem reading the file
    `MissingResourceException` - if the resource can not be found

### getResourceAsStream

    public static InputStream getResourceAsStream(Class clazz,
                                                  String search)
                                           throws IOException,
                                                  MissingResourceException

  Generic resource URL fetcher

  Returns:
    The requested resource
  Throws:
    `IOException` - if there is a problem reading the file
    `MissingResourceException` - if the resource can not be found

### getProperties

    public static Properties getProperties(String subject)
                                    throws IOException,
                                           MissingResourceException

  Get and load a properties file from the writable area or if that fails from the classpath (where a default ought to be stored)

  Parameters:
    `subject` - The name of the desired resource (without any extension)
  Returns:
    The found and loaded properties file
  Throws:
    `IOException` - if the resource can not be loaded
    `MissingResourceException` - if the resource can not be found

### getProperties

    public static Properties getProperties(Class clazz)
                                    throws IOException,
                                           MissingResourceException

  Get and load a properties file from the writable area or if that fails from the classpath (where a default ought to be stored)

  Parameters:
    `clazz` - The name of the desired resource
  Returns:
    The found and loaded properties file
  Throws:
    `IOException` - if the resource can not be loaded
    `MissingResourceException` - if the resource can not be found

### getProperties

    private static Properties getProperties(Class clazz,
                                            String subject)
                                     throws IOException,
                                            MissingResourceException

  Get and load a properties file from the writable area or if that fails from the classpath (where a default ought to be stored)

  Parameters:
    `clazz` - The name of the desired resource
  Returns:
    The found and loaded properties file
  Throws:
    `IOException` - if the resource can not be loaded
    `MissingResourceException` - if the resource can not be found

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ¨ 2003-2007
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD